Description

Doing the table persistence test

Some joined tables are not correctly loaded.

Steps to reproduce:
1.- Download this "data set": http://gvsig.gva.es/download/testing/test_plan/gvsig_1x/1.12/gvSIG_1_12_testing.zip (500MB)
2.- Unzip it and open the gvp table_persistence_1.11

History
#1 - 03/13/2012 07:17 PM - Francisco Puga

The error happens DataSourceFactory, line 1626. When the SQL sentence is:

custom com_iver_cit_gvsig_arcjoin tables 'gdbms58fca320_1306f043386__6fce', 'rrline_japon.dbf' values(RRLNTYPE, RRLNTYPE);

This error is not present in gvSIG 1.11

#2 - 03/13/2012 08:35 PM - Francisco Puga

Tras un poco más de investigación me parece que el error sucede cuando hay tres tablas implicadas (unión de 3 tablas por ejemplo). Si miramos el
código del gvp que da el error nos encontramos con:

<xml-tag>
                <property key="name" value="operation"/>
                <property key="dataSourceName" value="gdbms58fca320_1306f043386__6fbc"/>
                <property key="sql" value="custom com_iver_cit_gvsig_arcjoin tables 'gdbms58fca320_1306f043386__6fce', 'rrline_japon.dbf'
values(RRLNTYPE, RRLNTYPE);"/>
                <xml-tag>
                    <property key="name" value="operation"/>
                    <property key="dataSourceName" value="gdbms58fca320_1306f043386__6fce"/>
                    <property key="sql" value="custom com_iver_cit_gvsig_arcjoin tables 'rrline.dbf', 'rrline_filipinas.dbf' values(RRLNTYPE,
RRLNTYPE);"/>
                    <xml-tag>
                        <property key="name" value="table"/>
https://gvsig.org/web/production/proyectos/testing/docs/plantillastest/copy_of_plantillas1.12/tabla-de-estado
http://gvsig.gva.es/download/testing/test_plan/gvsig_1x/1.12/gvSIG_1_12_testing.zip


                        <property key="table-name" value="rrline.dbf"/>
                        <property key="table-alias" value="rrline.dbf"/>
                    </xml-tag>
                    <xml-tag>
                        <property key="name" value="table"/>
                        <property key="table-name" value="rrline_filipinas.dbf"/>
                        <property key="table-alias" value="rrline_filipinas.dbf"/>
                    </xml-tag>
                </xml-tag>
                <xml-tag>
                    <property key="name" value="table"/>
                    <property key="table-name" value="rrline_japon.dbf"/>
                    <property key="table-alias" value="rrline_japon.dbf"/>
                </xml-tag>
</xml-tag>

Tiene pinta que está intentando acceder al DataSource gdbms58fca320_1306f043386__6fce, que es el producto de la unión de dos tablas cuando
este todavía no ha sido creado.

#3 - 03/13/2012 09:59 PM - Francisco José Peñarrubia
- Assignee set to Francisco José Peñarrubia

Esto seguro que tiene que ver con algo que he tocado, así que me lo asigno.

#4 - 03/14/2012 01:34 PM - Francisco José Peñarrubia
- Status changed from New to Fixed
- % Done changed from 0 to 100

Applied in changeset r38069.

#5 - 02/21/2014 09:36 AM - Álvaro Anguix
- Project changed from Application: gvSIG desktop to | gvSIG desktop 1
